MANUAL FREECAD

1.1 Modo de empleo 1.2 Contribuir 2 Introducción 2.1 Características generales 2.1.1 Base de aplicación 2.1.2 Documento estructura 2.1.3 Interfaz de usuario 2.2 Aplicación características específicas 2.2.1 Las mallas 2.2.2 2D de Redacción 2.2.3 CAD 2.2.4 Raytracing 2.2.5 Dibujo 2.2.6 CAM 3 Instalación 3.1: Instalación en Windows 3.1.1 Instalación sencilla 3.1.2 Instalación de la línea de comandos 3.1.2.1-Instalación interactiva para no 3.1.2.2 interfaz de usuario limitada 3.1.2.3 Objetivo de la guía 3.1.2.4 Instalación para todos los usuarios 3.1.2.5 Selección de características 3.1.3 Desinstalación 3.1.4 instalación administrativa 3.1.5 Publicidad 3.1.6 Instalación automática de un grupo de máquinas 3.1.7 Instalación en Linux usando Crossover Office 3.2 Instalación en Unix / Linux 3.2.1 Instalación en sistemas Debian / Ubuntu 3.2.2 Instalación en otros sistemas Linux / Unix 3.3 Instalación en Mac 3.3.1 Instalación sencilla 3.3.2 Desinstalación 4 Descubrir FreeCAD 4.1 Introducción 4.2 Instalación 4.3 Exploración de FreeCAD 4.3.1 Navegación en el espacio 3D 4.4 2D de Redacción 4.4.1 herramientas de Redacción 4.4.2 Los objetos de dibujo 4.4.3 Modificación de objetos 4.5 Creación de piezas en 3D 4.5.1 Primitivas 4.5.2 Modificación de objetos

4.6 Exportación de dibujos 2D 4.7 Exportar a renderizadores externos 4.8 Secuencias de comandos 5 Trabajar con FreeCAD 5.1 navegación 3D 5.2 Selección de objetos 5.3 Manipulación de Objetos 5.4 Manipulación de Objetos 5.5 El documento FreeCAD 5.6 Aplicación y la interfaz de usuario 5.7 Secuencias de comandos 5.8 Configuración de las preferencias del usuario 5.9 Personalización de la interfaz 5.10 Propiedades de los objetos 6 Trabajando con bancos de trabajo 6.1 El banco de trabajo de malla 6.1.1 Con el módulo de acoplamiento 6.2 La Parte banco de trabajo 6.2.1 Las herramientas 6.2.2 Primitivas 6.2.3 Modificación de objetos 6.2.4 Operaciones booleanas 6.2.5 Explicar los conceptos 6.2.6 Secuencias de comandos 6.2.7 Ejemplos 6.3 El banco de trabajo de dibujo 6.3.1 Herramientas de interfaz gráfica de usuario 6.3.2 Secuencias de comandos 6.3.3 Ejemplo simple 6.3.4 La forma paramétrica 6.3.5 Acceso a las partes y piezas 6.3.6 Plantillas 6.4 El trazado de rayos banco de trabajo 6.4.1 Herramientas de interfaz gráfica de usuario 6.4.2 Exportar una vista 6.4.3 Secuencias de comandos 6.4.4 Enlaces 6.5 El banco de trabajo de la imagen 6.6 El proyecto de banco de trabajo 6.6.1 Tutorial 6.6.2 Inicio rápido 6.6.3 Importación y exportación 6.6.4 herramientas de Redacción 6.6.5 Los objetos de dibujo 6.6.6 Modificación de objetos 6.6.7 Los comportamientos más habituales 6.6.8 API 7 secuencias de comandos y macros 7.1 Macros 7.1.1 ¿Cómo funciona? 7.1.2 Ejemplo

7.1.3 Personalización 7.1.4 Creación de macros sin grabar 7.1.5 Macros repositorio 7.2 Introducción a Python 7.2.1 El intérprete 7.2.2 Variables 7.2.3 Números 7.2.4 Listas 7.2.5 Sangría 7.2.6 Funciones 7.2.7 Módulos 7.2.8 A partir de FreeCAD 7.3 Python scripting en FreeCAD 7.3.1 El intérprete Python 7.3.2 Ayuda 7.4 integrado en los módulos 7.4.1 La aplicación y los objetos Gui 7.4.2 El Documento de objetos 7.4.3 Introducción 7.4.4 Creación y carga 7.4.5 Modelado 7.4.6 El examen y comprobación 7.4.7 Escribir sus propios algoritmos 7.4.8 Exportación 7.4.9 Gui cosas relacionadas 7.4.10 Las probabilidades y termina 7.5 Introducción 7.5.1 Diagrama de clase 7.5.2 Geometría 7.5.3 Topología 7.6 Creación de tipos básicos 7.6.1 Breve descripción 7.6.2 Las explicaciones detalladas 7.6.2.1 ¿Cómo crear un vértice? 7.6.2.2 ¿Cómo crear un borde? 7.6.2.3 ¿Cómo crear un hilo? 7.6.2.4 Cómo crear una cara? 7.6.2.5 ¿Cómo crear un círculo? 7.6.2.6 ¿Cómo crear un arco a lo largo de los puntos? 7.6.2.7 ¿Cómo crear un polígono o una línea a lo largo de los puntos? 7.6.2.8 ¿Cómo crear un avión? 7.6.2.9 Cómo crear una elipse? 7.6.2.10 ¿Cómo crear un toro? 7.6.2.11 ¿Cómo hacer una caja o paralelepípedo? 7.6.2.12 ¿Cómo hacer una esfera? 7.6.2.13 ¿Cómo hacer un cilindro? 7.6.2.14 ¿Cómo hacer un cono? 7.6.3 Operaciones booleanas 7.6.3.1 Cómo cortar una forma de otros? 7.6.3.2 Cómo llegar común entre dos formas? 7.6.3.3 Cómo fusionar dos formas?

7.6.3.4 Cómo sección de un sólido con una forma determinada? 7.7 Exploración de las formas 7.7.1 Los bordes Explorando 7.8 Uso de la selección 7.9 Ejemplos 7.9.1 Creación de topología simple 7.9.1.1 Creación de Geometría 7.9.1.2 Arco 7.9.1.3 Línea 7.9.1.4 Todo junto 7.9.1.5 Hacer un prisma 7.9.2 La OCC botella 7.9.2.1 La secuencia de comandos completa 7.9.2.2 Explicación detallada 7.10 Cargar y Guardar 7.11 La conversión de objetos en la parte A mallas 7.12 Conversión de mallas en las que los objetos de pieza 7.13 El acceso y la modificación del Scenegraph 7.14 Utilización de los mecanismos de devolución de llamada 7.15 Documentación 7.16 Ejemplo básico 7.17 propiedades disponibles 7.18 Otro ejemplo más complejo 7.19 Realización de objetos seleccionables 7.20 Trabajar con formas simples 7.20.1 Uso de FreeCAD sin interfaz gráfica de usuario 7.20.2 Uso de FreeCAD con interfaz gráfica de usuario 7.20.3 Un típico archivo InitGui.py 7.20.4 Un archivo de módulo típico 7.20.5 Importar un nuevo tipo de archivo 7.20.6 Añadir una línea de 7.20.7 Añadir un polígono 7.20.8 Añadir y eliminar un objeto a un grupo 7.20.9 Añadir una malla 7.20.10 Cómo añadir un arco o un círculo 7.20.11 El acceso y la representación cambio de un objeto 7.20.12 Observando los eventos del ratón en el visor 3D a través de Python 7.20.13 Manipular el Scenegraph en Python 7.20.14 Cómo agregar y eliminar objetos desde / hasta el Scenegraph 7.20.15 Cómo añadir widgets personalizados a la interfaz 7.21 El script principal 7.22 Explicación detallada 7.23 Pruebas y Uso de la secuencia de comandos 7.24 El registro de la secuencia de comandos en la interfaz de FreeCAD 7.25 ¿Quieres más? 7.26 El diseño del cuadro de diálogo 7.27 Conversión de nuestro diálogo con python 7.28 Hacer que nuestro diálogo hacer algo 7.29 El guión completo 8 Desarrollo de aplicaciones para FreeCAD 8.1 Declaración del conservador

8.2 Los certificados usados 8.3 Impacto de las licencias 8.3.1 Los usuarios privados 8.3.2 Profesional usuarios 8.3.3 desarrolladores de fuente abierta 8.3.4 Los desarrolladores profesionales 8.4 Información errores 8.5 Solicitud de características 8.6 Envío de parches 8.7 El "viejo" tracker SourceForge (obsoleto) 8.7.1 ¿Dónde encontrar? 8.7.2 Cuándo usar? 8.7.3 Errores 8.7.4 Solicitudes de prestación 8.7.5 Las solicitudes de apoyo 8.7.6 Parches Nueva 8.7.7 Requisitos 8.7.8 Edificio de cAsegúrese 8.7.8.1 El cambio a cAsegúrese 8.7.8.2 Configurar el proceso de generación 8.7.8.3 Opciones para el Proceso de Construcción 8.7.8.4 construir la línea de comandos Construcción de las versiones anteriores 8.7.9 8.7.9.1 Utilización LibPack 8.7.9.1.1 directorio de instalación en Visual Studio 8.7.9.1.1.1 Incluye 8.7.9.1.1.2 Librerias 8.7.9.1.1.3 ejecutables 8.7.9.1.2 Python necesarios VC8 8.7.9.1.3 especiales para 8.7.9.2 Compilación 8.7.9.3 Después de compilar 8.7.9.4 cosas adicionales 8.7.10 Obtención de la fuente 8.7.11 Requisitos previos 8.7.11.1 de Debian / Ubuntu y distribuciones más recientes 8.7.11.2 Fedora 8.7.11.3 y no la distribución convencional de edad 8.7.11.4 OpenCascade 8.7.11.5 SoQt 8.7.11.6 Pivy 8.7.12 Recopilar FreeCAD 8.7.12.1 El autotools manera 8.7.12.2 El cAsegúrese manera 8.7.12.3 Piezas opcionales 8.7.13 Solución de problemas 8.7.13.1 Nota para sistemas de 64 bits 8.7.13.2 Automake macros 8.7.14 Hacer un paquete debian 8.7.15 automática de scripts de creación 8.7.15.1 Ubuntu 9.10 - Karmic Koala / Ubuntu 10.04 LTS - Lucid Lynx

15.16 Descargar las fuentes FreeCAD 8.2 CamStudio 8.7.04 .7.2 argumentos de la línea de comandos 8.7.2 Ubuntu 9.1 8.24.2.1 Visual Studio Express 8 8.2 InkScape 8.8.2.17 Instalar MacPorts y dependencias Biblioteca 8.9.24.2 Herramientas en Windows 8.9 A partir FreeCAD desde la línea de comandos 8.1.3 Opciones ocultas 8.7.7.21 Ejecutar 8.24.1 Plataforma de herramientas independend 8.7.x Changelog 8.12 El conjunto de configuración 8.7.18 Instale y Marcos OpenCascade 8.7.3 Herramientas en Linux 8.3 Qt 8.7.3 Tortoise SVN 8.11 Ejecución de FreeCAD como un módulo de python 8.1.8 GTS 8.24.7.7.8 Herramienta de la página 8.25 LibPack 8.24.8.4 Coin3D 8.7.2 Créditos 8.20 Compilar 8.12.10 alza 8.24.8.3 Sistema relacionados 8.24.4 Construir relacionados con la información .app 8.1 usuario información relacionada 8.7.5.1 Opciones de la línea 8.8.3 Doxygen 8.4 StarUML 8.24.12.15.8.2 Respuesta y archivos de configuración 8.12.1 Descripción 8.23 Enlaces 8.7.4 OpenSuse 11.12.7.2 8.7.7.4 El Gimp 8.24.2.8.1.Jaunty Jackalope 8.2.1.8.8.24.5 ODE (dinámico del motor abierto) 8.7.3 OpenSuse 11.7.5 de Debian Squeeze 8.9.7.2 OpenCascade 8.1 Python 8.24.19 Descarga 'instalar' la plantilla FreeCAD.7.7.1.15.9 Zlib 8.22 Información general 8.25.1 Qt Toolkit 8.24.7.15.1 FreeCADLibs7.6 SoQt 8.24 Detalles 8.8.10 Ejecución de FreeCAD sin la interfaz de usuario 8.8.8.9.7 Xerces-C + + 8.7.7.24.8.1.1 Créditos 8.7.7.7.

8 CreateModule 8.1 Instalación 8.3 Configuración de los archivos de Python para la traducción 8.18.2 imagen de fondo 8.13.5 DistAll 8.1 Debian y Ubuntu 8.1 DistSrc 8.3 DistSetup 8.13.21.13.1 traducción de archivos disponibles 8.5 Marcas relacionadas 8.16.1.13 Uso Número 8.4 DistSetup 8.20.14 Prueba de primera 8.21.17.15 de línea de comandos 8.18 Preparación de sus propios módulos y aplicaciones para la traducción 8.18.1.13.16 Introducción 8.1 Cómo traducir 8.13.1.3 Documentación 9 Créditos 9.1.2.2.17 Ayudar a traducir FreeCAD 8.19.16.2 imágenes 8.2 Empresas BIENVENIDO A FREECAD Este documento se divide en varias secciones: introducción.21.16.1 Instalación 8.1 General 8.1.8.7 NextBuildNumber 8. que simplemente quieren Cómo utilizar .21.16.6 BuildDoc 8.12.20.13.3 Documentación 8.1 Page Convención de nomenclatura 8.1 Requisitos previos 8.17. la dirección de los tres últimos especialmente los tres grandes categorías de usuarios de FreeCAD: usuarios finales.2 desarrolladores 9.13.2 DistBin 8.20.13.1 Iconos 8.2 Uso 8.2 Uso 8.2.1 desarrollador de plomo 9.21.21.2 Proyecto de instalación 8.21 Pivy 8.2 Traducción con Qt-Lingüista (camino viejo) 8.20 PyQt4 8.3 Windows 8.19 La traducción del wiki 8.17.18.2 Otras distribuciones de linux 8.1 para Desarrolladores 9. uso de secuencias de comandos y el desarrollo.

y por lo tanto también cae en la categoría de MCAD . aunque.usar el programa. no son orgánicos o formas de animación ( como Maya . FreeCAD cuenta con herramientas similares a Catia . que se interesan por las capacidades de scripting de FreeCAD y me gustaría personalizar algunos de sus aspectos. SolidWorks y Solid Edge . Como ocurre con muchos modernos 3D CAD y modeladores que tendrá un componente 2D para extraer los detalles del diseño del modelo 3D para crear dibujos en 2D de producción. gracias a su amplia adaptabilidad. pero el dibujo 2D directa (como AutoCAD LT ) no es el foco. FreeCAD podría ser útil en una amplia área mucho más que su enfoque actual. y los desarrolladores. Será una película basada modelador paramétrico con una arquitectura de software modular que hace fácil para proporcionar funcionalidad adicional. PLM . CAx y CAE . 3ds Max o Cinema 4D ). INTRODUCCIÓN FreeCAD es un propósito general 3D CAD modelador. pero también encaja en una gama más amplia de aplicaciones en la ingeniería. El desarrollo es completamente de código abierto (GPL y LGPL licencia). que consideran FreeCAD como base para desarrollar sus propias aplicaciones. tales como la arquitectura o la ingeniería de otras especialidades. FreeCAD va destinado directamente a la ingeniería mecánica y diseño de productos . . sin modificar el núcleo del sistema. los usuarios de energía.

con el mismo aspecto y funcionalidad en todas las plataformas. una encarnación de OpenInventor . FreeCAD misma también se puede utilizar como una biblioteca por otros programas. uno de los mejores lenguajes de scripting disponibles. Coin3D . un poderoso núcleo de CAD. de características FreeCAD implementa. Si desea buscar en el futuro ver la hoja de ruta para el Desarrollo de una visión general rápida de la Imagen es un buen lugar para ir. Esta es una lista extensa. y Python . y actualmente se ejecuta sin problemas en Windows y Linux / Unix y Mac OS X sistemas.Otra de las principales preocupaciones de FreeCAD es hacer un uso intensivo de todos los de código abierto grandes bibliotecas que existen por ahí en el campo de la computación científica . FreeCAD está totalmente multiplataforma . Entre ellos se encuentran OpenCascade . Características generales Base de la aplicación . Qt . la famosa interfaz de usuario marco del mundo. por lo tanto. no completa.

Un instalador MSI modular permite instalaciones flexibles en los sistemas Windows Los paquetes para los sistemas de Ubuntu también se mantienen. FreeCAD se ejecuta sin su interfaz. In command line mode. permitiendo rápido renderizado de escenas 3D y una representación gráfica de la escena muy accesible. Linux y Mac OSX. FreeCAD es una completa aplicación con interfaz gráfica. pero con todas las herramientas de la geometría. Construido en secuencias de comandos marco: FreeCAD incorpora un en Python intérprete. FreeCAD se divide en una aplicación de base y los módulos. la parte de interfaz de FreeCAD no está disponible. con un visor 3D basado en Open Inventor . Los módulos se comportan como plugins. El intérprete puede ejecutar comandos individuales hasta las secuencias de comandos complejas. dentro de otras aplicaciones que pueden ejecutar scripts de Python. los módulos de todo. Al igual que en modo consola. FreeCAD cuenta con una completa interfaz gráfica de usuario basada en el famoso Qt marco. y una API que cubre casi cualquier parte de la aplicación. Estructura de documento: . la interfaz.FreeCAD es multi-plataforma: Se ejecuta y se comporta exactamente de la misma manera en Windows. por ejemplo. pero todas las herramientas de la geometría son accesibles. FreeCAD se pueden importar como un módulo de Python . con la huella de memoria baja. o en una consola de python. de hecho. Plugin / marco del módulo para la carga tardía de características y tipos de datos. incluso se puede programar completamente en Python. Casi todas las herramientas y tipos de geometría se almacenan en módulos. Puede ser. y pueden incluir o eliminar una instalación existente de FreeCAD. utiliza como servidor de producir contenidos para otras aplicaciones. la geometría y la representación de esta geometría en el visor 3D. FreeCAD también se ejecuta como una aplicación de línea de comandos. que se cargan sólo cuando es necesario.

Esto permite mostrar sólo las herramientas utilizadas para llevar a cabo una tarea determinada. y salvo que se reproduce más adelante. editado. si es necesario. Deshacer / Rehacer marco: Todo es deshacer / rehacer. de acoplamiento. con acceso a la pila de deshacer. Asociativas documento objetos paramétricos: Todos los objetos en un documento FreeCAD puede ser definido por los parámetros. las secuencias de comandos o en miniatura. varios pasos por lo que puede ser deshecho a la vez. que se puede imprimir en la consola y se registran en las macros. reflejo de la interacción del usuario en la consola: Todo lo que el usuario hace en la interfaz de FreeCAD ejecuta código python. lo que permite guionistas para probar la funcionalidad sobre la marcha. manteniendo el espacio de trabajo despejado y rápida respuesta. . Concepto de banco de trabajo: En la interfaz de FreeCAD. Incorporado en la consola de Python con resaltado de sintaxis. y vuelven a calcular en cualquier momento. agregar. Extensión puede contener diversos tipos de información. Gestión de transacciones: La deshacer / rehacer pila documento transacciones tiendas y no las acciones individuales. tales como la geometría. explorar el contenido de los módulos y fácil aprender sobre FreeCAD internos. modificar o eliminar widgets y barras de herramientas. La relación entre los objetos también se almacena. Los parámetros se pueden modificar sobre la marcha. el marco de Qt está adaptado demasiado. INTERFAZ DE USUARIO • • • • • Totalmente personalizable / scripts interfaz gráfica de usuario. las herramientas se agrupan por mesas de trabajo . permitiendo que cada herramienta para definir exactamente lo que hay que deshacer o rehacer. macro de grabación y edición completa: La pitón órdenes emitidas cuando el usuario manipula la interfaz puede ser grabado. El Qt basado en la interfaz de FreeCAD es totalmente accesible a través del intérprete de Python. y la aplicación de la carga. 4. por lo que la modificación de un objeto también modifica sus objetos dependientes. permitiendo que cualquier operación en la interfaz gráfica de usuario.1. 2. Además de las funciones simples que FreeCAD se dota a los bancos de trabajo. (ZIP base) del documento compuesto guardar formato: FreeCAD documentos guardados con iconos fcstd. 3. y la clase explorador autocompletar: comandos de Python pueden ser introducidas directamente en FreeCAD y devolvió de inmediato los resultados. tales como crear.

y la exportación de la geometría FreeCAD en formato de malla. ast). limitada NASTRAN apoyo (*. Open Inventor mallas (iv *. limitada NASTRAN apoyo (*. cilindro. se cruzan) La importación de los siguientes formatos: ASCII o binario STL (litografía formato estéreo) (*. etc). obj). el formato OBJ (*. ast). cada uno tratando con tipos de datos y aplicaciones especiales: MALLAS • • • • El acoplamiento del módulo se refiere a mallas 3D. desplazamiento (triviales o después de Jung / Shin / Choi) o las operaciones booleanas (añadir. esfera. Características específicas de la aplicación La funcionalidad de FreeCAD está separado en módulos. Es esta destinada principalmente para la importación. *. y nativo del kernel de malla FreeCAD (*. ). el formato OBJ (*. stl.• Thumbnailer (los sistemas Linux solamente en el momento): Los iconos de documento FreeCAD mostrar el contenido del archivo en la mayoría de las aplicaciones de administrador de archivos. La creación de primitivas (caja. *. como los nautilus de gnome. nas). Pero FreeCAD mismo también cuenta con muchos tipos de geometría más avanzada que las mallas. BMS) La exportación de los siguientes formatos: ASCII o binario STL (Stereo formato litografía) (*. cortar. obj). stl. la curación y la conversión de la geometría de malla de terceros generados en FreeCAD. .

• CAD • • La pieza del módulo se ocupa de todo alrededor de modelado CAD y las estructuras de datos CAD. la esfera. *. Anotaciones como los textos o las dimensiones . en cualquier plano del espacio 3D. BMS). arcos o círculos en cualquier plano del espacio 3D. cables. VRML mallas ( *. La funcionalidad CAD está en fuerte desarrollo (véase el PartDesign_project y Assembly_project en el Development_roadmap ). modificación de las operaciones gráficas como la traducción. nativa del núcleo de malla FreeCAD (*. wrl). El módulo de la parte trabaja con alto nivel Abrir CASCADE geometría. y dos colectores de ensayo que no. BRL).• • nas. oca. py) Prueba y reparación de herramientas para mallas: prueba de sólidos. dxf). svg). *. Amplia Python API de scripting . . rotación. intersección de autocomprobación. espejo. Importación y exportación de los siguientes formatos: Autodesk Dibujo Exchange Format (*. de malla como módulo de Python (*. 2D DE REDACCIÓN • • • Gráfica de la creación de la geometría plana simples como líneas. escalado. Paramétrico formas primitivas como la caja. rectángulos. orificio de llenado y la orientación uniforme. el cono del cilindro o un toro. compensar o la forma de conversión. gcad) e SVG (*. Open Cad Formato (*.

Dibujo • El módulo de dibujo permite exportar vistas proyectado de la geometría 3D a un documento SVG 2D. IGES modelos (*. las secciones y los filetes. Importación y exportación de los siguientes formatos: PASO piezas y ensamblajes (*. operaciones booleanas como unión. Permite la creación de una hoja en 2D con una plantilla de svg existentes. paso). el formato nativo de nuestro Abrir CASCADE núcleo CAD . stp. Esta página describe el uso y las características del instalador de Microsoft para conocer las opciones de instalación más. bordes. RAYTRACING • El módulo de trazado de rayos permite la exportación de la geometría FreeCAD a renderizadores externos para la generación de imágenes de alta calidad. y la geometría de la adición a esa hoja de representación para exportar a un archivo de POVRay. *. INSTALACIÓN Instalar en Windows La forma más fácil de instalar FreeCAD en Windows es utilizar el instalador. y BREP (*. cables y aviones (a través de secuencias de comandos de Python). la hoja se pueden guardar como un archivo SVG. A continuación. *. IGES). El módulo permite actualmente la creación de una hoja de representación. igs. el motor de render compatible sólo es POV-Ray .• • • • • Topológica componentes como vértices. Modelado con rectas o protuberancias de la revolución. Este módulo se encuentra en el principio y en el momento en su mayoría dedicados a la hoja que forma incremental . y la inserción de puntos de vista de la geometría proyectada en esa hoja. diferencia e intersección. Instalación sencilla . como la molienda. BRP). Aunque hay algunos algoritmos de planificación trayectorias que no son utilizables para el usuario final en el momento. En la actualidad. CAM • El módulo CAM se dedica a trabajar a máquina mecánica. Amplia Python API de scripting .

5. haga doble clic sobre él para iniciar el proceso de instalación.Instalador FreeCAD se entrega en. Msi de la FreeCAD página de descarga oficial . Después de descargar el archivo. Instalación de la línea de comandos Con la utilidad de línea de comandos msiexec.mostrar todos los cuadros de diálogo que no requieren la interacción del usuario (saltar todos los cuadros de diálogo modales) / Qn + .Interfaz básica . como msiexec / i FreeCAD-2.Al igual que / qb. Por ejemplo. pero muestran "Completado" diálogo al final • • Objetivo de la guía El TARGETDIR propiedad determina el directorio raíz de la instalación FreeCAD.sólo un pequeño diálogo de progreso / Qb! . MSI (Windows Installer) en formato.Reducción de la interfaz . las características adicionales están disponibles.msi TARGETDIR = r: \ FreeCAD25 Limitada interfaz de usuario El importe de la interfaz de usuario que el instalador muestra se puede controlar con / q opciones. msi Instalación se puede iniciar mediante programación.Me gusta / qn. como no-instalación interactiva y la instalación administrativa. pero muestran "Completado" diálogo al final / Qb + .exe. Puede descargar la última versión.No interfaz / Qb .Me gusta / qb. Los parámetros adicionales se pueden pasar al final de esta línea de comandos. en particular: • • • • / Qn . un disco de instalación diferente se puede especificar con TARGETDIR = R: \ FreeCAD25 . -Instalación interactiva para no Con la línea de comandos msiexec / i FreeCAD <versión>. pero ocultar el botón Cancelar / Qr .

lista de características para ser instalado en el equipo local REMOVER . además de las bibliotecas del núcleo Documentación . De forma predeterminada. Las características siguientes propiedades de control para instalar o desinstalar • • • • • ADDLOCAL . por lo que la instalación de cualquier característica instala automáticamente la función de default. reinstalado o eliminadas. Todas las funciones dependen de DefaultFeature.instalar la documentación El código fuente .instalar las fuentes Cosas por hacer Además.lista de características para ser retirados ADDDEFAULT .lista de funciones adicionales en su configuración por defecto (que es local para todas las características FreeCAD) REINSTALL . Instalación para todos los usuarios Agregar ALLUSERS = 1 Causa de una instalación a todos los usuarios.lista de características para volver a instalar / reparar PUBLICIDAD .El TARGETDIR predeterminado es [WindowsVolume \ Programm Files \] FreeCAD <versión>.instalar el software adecuado. El conjunto de características para el programa de instalación es FreeCAD • • • • Default Feature . y la instalación interactiva ofrece un cuadro de diálogo que por defecto es "todos los usuarios" si el usuario es lo suficientemente privilegiada. la instalación no interactiva instalar el paquete sólo para el usuario actual. Selección de características Un número de propiedades permiten la selección de características para ser instalado. TODOS especifica todas las características.lista de características para el que se realizará una instalación de publicidad .

pero no instalar nada más. Actualmente. pero sin otra modificación que se haga en el sistema local. Usted puede encontrar el código de producto al observar las propiedades del acceso directo Desinstalar FreeCAD que se instala en el menú de inicio. msi FreeCAD se puede desinstalar. . consulte la documentación de MSDN para obtener más detalles. que los clientes pueden entonces utilizar para realizar una instalación local (las versiones futuras pueden ofrecer también para mantener algunas de las características de la unidad de red en total). Desinstalación Con msiexec / x FreeCAD <versión>. como alternativa. No hay ninguna específica procedimiento de desinstalación de una administrativa de instalación . no existe ninguna interfaz de usuario para las instalaciones administrativas. el paquete o código de producto también puede ser especificado. añadiendo ADDLOCAL = Extensiones Instala el propio intérprete y los registros de las extensiones. otro archivo (más pequeño) msi se genera en el directorio de destino. Instalación administrativa Con msiexec / a FreeCAD <versión>. Los archivos se desempaquetado en el directorio de destino (que debe ser un directorio de red). No es necesario contar con el archivo MSI disponibles para la desinstalación. msi Un "administrativo" (red) de instalación se puede iniciar. por lo que el directorio de destino se debe pasar la línea de comandos. Además.Hay algunas características adicionales disponibles.simplemente borre el directorio de destino si no hay cliente que usa más. Con estas opciones.

msi Sería posible. y editarlo En Configuración del equipo / Instalación de software. es posible instalar automáticamente FreeCAD un grupo de una de las máquinas. y las extensiones para ser registrada. Instalación en Linux usando Crossover Office Puede instalar la versión para Windows de FreeCAD en un sistema Linux utilizando CXOffice 5.para implementar el paquete de forma fiable. Ejecutar msiexec de la línea de comandos CXOffice.1. . pero no hay anuncio de accesos directos. toma algún tiempo . El primer uso de una característica haría que cuentan para su instalación. El instalador FreeCAD actualmente soporta sólo el anuncio de las entradas del menú de inicio. a "anunciar" FreeCAD a una máquina (con / ju a un usuario). Para ello. La propagación del Grupo de política general. siga estos pasos: • • • • • • • • • • Inicie sesión en el controlador de dominio Copie el archivo MSI en una carpeta que se comparte con acceso permitido a todos los equipos de destino.Publicidad Con msiexec / jm FreeCAD <versión>. Esto haría que los iconos que aparecen en el menú de inicio. en principio. sin el software en realidad se está instalando. Abra el complemento MMC de "usuarios de Active Directory y equipos" Navegue hasta el grupo de equipos que necesitan FreeCAD Abra Propiedades Abrir directivas de grupo Añadir una nueva política. todos los equipos debe ser reiniciado. Instalación automática de un grupo de máquinas Con la directiva de grupo de Windows. seleccione Nuevo / Paquete Seleccione el archivo MSI a través de la ruta de red Opcionalmente. seleccione la que desea la FreeCAD ser desinstalado si el equipo sale del ámbito de aplicación de la política.0. suponiendo que el paquete de instalación se coloca en el "software" de la guía que se asigna a la unidad de letra "Y": msiexec / i Y: \ \ software \ \ FreeCAD <versión> msi.

y haga doble clic en él. Instalación sencilla El instalador FreeCAD se ofrece como un paquete de Installer (. si usted tiene la gdebi paquete instalado (normalmente lo es). Instalación en Mac FreeCAD se puede instalar en Mac OS X en un solo paso utilizando el instalador. Mpkg) incluido en un archivo de imagen de disco. Alternativamente se puede instalar también de la terminal. ningún paquete precompilado es availible para otros sistemas Linux / Unix.deb Cambiando Name_of_your_FreeCAD_package. y: sudo dpkg-i Name_of_your_FreeCAD_package. Las dependencias necesarias serán atendidos de forma automática por el gestor de paquetes del sistema de tipos. al igual que con otros PROGRAMAS ejecuta en vino es decir. navegar hasta donde hemos descargado el archivo. Después de instalar FreeCAD. pero algunos miembros de la comunidad FreeCAD usuarios también proporciona a los instaladores de encargo para otras versiones de Linux. eche un vistazo a la descarga página para ver lo que está actualmente availible. Instalación en Unix / Linux Por el momento. Esta página describe el uso y características de la instalación FreeCAD.FreeCAD se está ejecutando. Deb correspondiente a su versión del sistema. Instalación en otros sistemas Linux / Unix Unfortnately. Google SketchUp . por el momento. un icono de inicio se agregó en la "gráfica" de su Menú de Inicio. Por favor. . pero se ha informado de que la pantalla OpenGL no funciona. por lo que tendrá que compilar FreeCAD mismo .deb por el nombre del archivo descargado. el equipo FreeCAD sólo proporciona a los instaladores de sistemas de 32 bits de Debian y Ubuntu. También incluye las instrucciones de desinstalación. Instalación en sistemas Debian / Ubuntu Una vez descargado el. sólo tiene que desplazarse a donde ha descargado el archivo.

ejecutar el FreeCAD paquete de instalación. Si usted sabe que usted ya tiene alguno de estos paquetes. Para eliminar completamente FreeCAD y todos los componentes instalados.Puede descargar la última instalación de la descarga la página. El instalador le presentará una pantalla de instalación Personalizar que se muestran los paquetes que serán instalados. simplemente montar la imagen de disco.framework Entonces.py sudo rm-R / usr / local / lib / OCC sudo rm-R / usr / local / include / OCC . Después de descargar el archivo. deje todos los elementos seleccionados. ejecute: sudo / Developer / Herramientas / desinstalar-qt. Si no está seguro. Desinstalación En este momento no es un desinstalador de FreeCAD. se puede anular la selección utilizando las casillas de verificación.framework Inventor. arrastre los siguientes archivos y carpetas a la Papelera: • • • • • En / Aplicaciones: FreeCAD en / Library / Frameworks / SoQt. a continuación. desde el terminal.

Por el momento. se espera que esto cambie pronto. Todavía está en fase inicial de desarrollo. Msi). Si no. centrado en la ingeniería mecánica y otras áreas relacionadas. mucha funcionalidad ya está presente. así que no espere ser capaz de utilizarlo para producir un trabajo ya. Véase la descarga página para obtener información acerca de las versiones y actualizaciones. Pero.Eso es todo. Explorando FreeCAD La interfaz FreeCAD al iniciarlo por primera vez. Rpm) y Mac OSX. pero no la interfaz de usuario mucho se ha creado para él. Deb) openSUSE (. si eres curioso acerca de lo que FreeCAD Aspecto del producto y las características que se están desarrollando. Pero. Prefacio FreeCAD es un sistema CAD / CAE de aplicaciones de modelado paramétrico. FreeCAD es una aplicación de modelado 3D en general para todo uso. probablemente encontrará que FreeCAD todavía tiene pocos para ofrecer a usted. Hay paquetes listos para instalar Windows (. Instalación CD En primer lugar (si no se hace ya) descargar e instalar FreeCAD. que ya será capaz de producir y modificar la geometría compleja con relativa facilidad. Finalmente. tales como otras especialidades de la ingeniería o la arquitectura. FreeCAD estará disponible como un paquete de aplicaciones de auto-contenida para toda esta molestia desaparece. sea paciente. le invitamos a descargarlo y darle una oportunidad. Esto significa que si usted sabe un poco de python. . Ubuntu y Debian (. Se concibe como una plataforma para el desarrollo de cualquier tipo de aplicación 3D.

En el modo por defecto. su interfaz se divide en una serie de bancos de trabajo . etc . y un par de paneles laterales para la visualización de los contenidos escena o propiedades de los objetos. La interfaz FreeCAD por lo tanto se puede describir como un contenedor muy simple. plano de trabajo : Establece el plano de trabajo para las operaciones de al lado Coloque en la hoja : Escribe los objetos seleccionados a una hoja de dibujo SVG Objetos de dibujo Estas son herramientas para la creación de objetos. un área de visualización 3D. el zoom se realiza con la rueda del ratón. todas las herramientas que son lo suficientemente buenas para la producción de la geometría está aquí.. vista frontal. . A tal efecto. que llamamos "banco de trabajo completo". que se pueden establecer en la configuración de diálogo de preferencias. Básicamente. Navegando en el espacio 3D FreeCAD tiene dos diferentes modos de navegación disponibles. 2. con una barra de menús. También tiene varios presets vista (vista superior. etc) disponibles en el menú Ver y en la barra de herramientas Vista. Selección de un objeto se hace simplemente haciendo clic sobre ella con el botón izquierdo del ratón.sino también para realizar tareas muy específicas. Bancos de trabajo permiten cambiar el contenido de interfaz para mostrar todos y sólo las herramientas necesarias para una tarea específica. y la rotación con el botón izquierdo del ratón y el ratón Medio botón al mismo tiempo.) 2D de Redacción Herramientas de dibujo Estas herramientas le permiten configurar su entorno de trabajo o producir operaciones genéricas. se le presentará un "general" banco de trabajo. Esta mesa de trabajo. Al iniciar FreeCAD por primera vez. simplemente recoge las herramientas más madura de otros bancos de trabajo. o un grupo de tareas. Todos los contenidos de estos paneles puede haber cambios en función de la mesa de trabajo. este banco de trabajo es muy útil para descubrir FreeCAD con mayor facilidad. con CTRL presionado si desea seleccionar varios objetos. Desde FreeCAD es bastante joven y aún no se utilizan para el trabajo muy especializado. la panorámica con el botón central del ratón. y por atajos numéricos (1.

pero si no hay ningún objeto seleccionado. ángulo inicial y final del ángulo Rectángulo : dibuja un rectángulo de 2 puntos opuestos Texto : Dibuja una línea de texto de la anotación-multi Dimensión : Dibuja una anotación dimensión Modificación de objetos Estas son las herramientas para modificar los objetos existentes. radio. se le invitará a seleccionar una.De 2 puntos la línea : Dibuja un segmento de línea de 2 puntos Hilos (punto de varias líneas) : Dibuja una línea hecha de segmentos de varias líneas Círculo : dibuja un círculo desde el centro y el radio Arco : Dibuja un segmento de arco desde el centro. Trabajan en los objetos seleccionados. Mover : Mueve el objeto (s) de un lugar a otro Girar : Gira objeto (s) de un ángulo inicial a un ángulo final Offset : los segmentos de un objeto se mueve sobre una distancia determinada Actualización : se une a los objetos en un alto nivel de objeto Baja de Calificación : Se descompone en objetos de nivel inferior objetos Recortar / Extender (Trimex) : Recorta o se extiende un objeto Aplicar el estilo : Aplica el color actual y el ancho de línea a los objetos Escala : escala objeto seleccionado (s) en torno a un punto base .

Editar : edita un objeto seleccionado La creación de piezas en 3D Primitivos Estas son herramientas para la creación de objetos primitivos. Caja : Dibuja un cuadro especificando sus dimensiones Cono : Dibuja un cono mediante la especificación de sus dimensiones Cilindro : Dibuja un cilindro mediante la especificación de sus dimensiones Esfera : Dibuja una esfera mediante la especificación de sus dimensiones Toro : Dibuja un toro (anillo). Que le permitirá elegir el objeto a modificar. Booleanos : boolean Realiza operaciones en los objetos Fusible : Fusibles (sindicatos) dos objetos Común : extraer los comunes (intersección) parte de dos objetos Cortar : corta (resta) un objeto de otro Extrusión : Eleva caras planas de un objeto Solomillo : Filete (balas) bordes de un objeto Girar : Crea un objeto por otro objeto giratorio alrededor de un eje . especificando sus dimensiones Modificación de objetos Estas son las herramientas para modificar los objetos existentes.

crear o modificar la geometría. configurar y exportación de hojas de dibujo 2D Nueva hoja de dibujo : Crea una nueva hoja de dibujo desde un archivo SVG existentes A3 dibujo de paisaje Nueva : Crea una nueva hoja de dibujo de la plantilla por defecto A3 FreeCAD Inserte un punto de vista : Inserta una vista del objeto seleccionado en la hoja de dibujo activo hoja Guardar : Guarda la hoja actual como un archivo SVG Exportar a renderizadores externos Estas son herramientas para la exportación de su trabajo en 3D para renderizadores externos Crear un proyecto de Povray : Crea un POV-Ray nuevo proyecto Insertar información ver : Inserta el ver los datos (posición de la cámara. por último. Exportar a dibujos 2D Estas son las herramientas para crear. modificar la representación de los objetos en la escena 3D o acceder y modificar la interfaz FreeCAD. Desde la pitón consola integrada (o de cualquier secuencia de comandos Python externo). etc) a la POV-Ray proyecto actual Insertar información parte : Inserta el objeto seleccionado al POV-Ray proyecto actual Secuencias de comandos Y. una de las características más potentes de FreeCAD es la secuencia de comandos medio ambiente. que proporcionan un método sencillo para crear comandos personalizados.Sección : Crea una sección por la intersección de un objeto con un plano de sección. puede acceder a casi cualquier parte del FreeCAD. secuencias de comandos de Python también pueden ser utilizados en las macros . .

el objeto sigue girando . Los gestos del ratón siguientes se pueden utilizar para controlar la posición del objeto y el punto de vista. Zoom: Utilice la teclas + o .o la rueda del ratón para acercar y alejar Pan: Haga clic en el botón central del ratón y mover el objeto. si esta opción está activada . puede cambiar de preselección en las preferencias. Selección de objetos Los objetos se pueden seleccionar con un clic con el botón izquierdo del ratón o haciendo clic en el objeto en la vista 3D o mediante la selección en la vista de árbol. Manipulación de objetos La manipulación de objetos es común a todos los bancos de trabajo. Esto funciona como hacer girar una pelota que gira alrededor de su centro. Si se suelta el botón antes de dejar su petición. mantenga y haga clic en el botón izquierdo del ratón en cualquier parte visible de un objeto y arrastrarlo en la dirección deseada. Si no le gusta que la conducta o si tiene una máquina lenta. Gire: Primero haga clic con el botón central del ratón. También hay una preselección mecanismo que pone de relieve los objetos y muestra información acerca de ellos antes de la selección con sólo pasar el mouse sobre él. Seleccione • • • • Pulse el botón izquierdo del ratón sobre un objeto que desea seleccionar.FreeCAD De navegación en 3D El modelo de ratón de FreeCAD es muy flexible e intuitiva y con algunas pistas se puede utilizar después de sólo un minuto de la práctica.

Un ejemplo sencillo es el plano de corte que se puede activar con el menú Ver → Plano de recorte. Para el plano de corte no es sólo un manipulador a lo largo del vector normal. haga clic con el botón izquierdo del ratón sobre los manipuladores recuadro al final de los ejes y tire de ellos hacia atrás y adelante. tire de la caja larga en el centro de un eje con el botón izquierdo del ratón. El documento FreeCAD Un documento FreeCAD contiene todos los objetos de la escena. Dependiendo del objeto a los manipuladores trabajar independientemente o de forma sincrónica. Rotación Al hacer clic en la parte final de los ejes del manipulador pone en modo de rotación. En el plano de cambio Para mover el centro del plano de recorte.• Centro de Marco de la rotación: Un doble clic con el botón central del ratón en cualquier parte de un objeto establece el nuevo centro de rotación y zoom sobre este punto. puede cambiar entre los bancos de trabajo. Fuera del plano de desplazamiento Para cambiar el objeto a lo largo de su vector normal. También puede abrir . haga clic en el objeto de avión y tire de él hasta la posición deseada. y siguen trabajando en el mismo documento. Por lo tanto. Hay otros cuatro que no son tan obvios: el propio avión y la parte fina de los tres objetos eje. Manipulación de objetos FreeCAD ofrece manipuladores que se pueden utilizar para modificar un objeto o su aspecto visual. Escala Para escalar el objeto. Después de la activación del objeto plano de corte aparece y muestra siete manipuladores obvio como cajitas: Uno en cada extremo de sus tres ejes de coordenadas y otra en el centro del plano eje normal. El documento es lo que se guarda en el disco al guardar su trabajo. Puede contener grupos y objetos elaborados con cualquier banco de trabajo.

ambos almacenados en el documento Ver. como todo en FreeCAD. que contiene los objetos. ¿Por qué es eso? Debido a FreeCAD también puede ser utilizado sin interfaz gráfica. Cada mesa de trabajo puede crear sus propios tipos de objetos. Los documentos también están hechas de dos partes: el documento de solicitud. Otra cosa que está contenida en el documento Ver puntos de vista en 3D. Piense en ello como dos espacios. incluso si no se dibuja en la pantalla. Crear nuevos puntos de vista u opiniones cerca se puede hacer desde el menú Ver o haciendo clic derecho en una ficha de vista. en función de la mesa de trabajo actual. o posiblemente otras operaciones. Administración de grupos. y abrir varias vistas del mismo documento. Tal vez le gustaría ver una vista superior y una vista frontal de su trabajo al mismo tiempo? A continuación. Los objetos dentro de un documento FreeCAD puede ser de diferentes tipos. los objetos de cambiar el nombre haciendo doble clic en sus nombres. haciendo clic derecho en la vista en árbol o en un objeto. y todavía deben ser capaces de manipular nuestros objetos. que contiene la representación en pantalla de nuestros objetos. siempre hay uno y sólo un documento activo. el Proyecto de Workbench también crea objetos de la parte. En la vista de árbol. objetos y nombres de objeto que se realiza principalmente desde el punto de vista de árbol. Sus parámetros constructivos (es un cubo? Un cono? Qué tamaño?) Se almacenan en el documento de solicitud. Esto también es válido para los documentos. tendrá dos vistas del mismo documento. el Workbench Parte crear objetos de la parte. y tener un nombre único. el documento que están trabajando actualmente. etc Si hay al menos un documento abierto en FreeCAD. donde los objetos se definen. se pueden crear grupos. desde el intérprete de Python. Un documento puede tener varias vistas abiertas. También se puede hacer. Ese es el documento que aparece en la vista 3D actual. para que pueda inspeccionar el documento desde varios puntos de vista al mismo tiempo.varios documentos al mismo tiempo en FreeCAD. por ejemplo. mientras que su representación gráfica (es dibujado con líneas negro? Con rostros azules?) Se almacenan en el documento Ver. y el documento de Vista. por ejemplo dentro de otros programas. los objetos se pueden mover en grupos. la parte de interfaz de usuario (GUI) se separa de la parte de la aplicación de base (la aplicación). . Aplicación y la interfaz de usuario Como casi todo lo demás en FreeCAD. el banco de trabajo de malla crea objetos de malla. los objetos se mueven a los grupos. eliminar objetos o grupos. por supuesto. Dentro del documento.

Secuencias de comandos Los documentos pueden crearse fácilmente.Blob ¿Podría acceder a la representación gráfica (ver) una parte de nuestro objeto Blob? FreeCADGui. FreeCAD también utiliza un concepto llamado de carga tarde. Usted puede haber notado que cuando se selecciona una mesa de trabajo en la barra de herramientas FreeCAD.ActiveDocument.ActiveDocument. acceder y modificar desde el intérprete de Python.ActiveDocument Devolverá el actual (activo) documento FreeCAD.ActiveView Configuración de las preferencias del usuario El sistema de preferencias de FreeCAD se encuentra en el menú Editar -> Preferencias. que la mesa de trabajo y todos sus componentes se cargan en ese momento. lo que significa que los componentes se cargan sólo cuando es necesario.ActiveDocument. Esto incluye la configuración de las preferencias.Blob ¿Podría acceder a un objeto llamado "Blob" dentro de su documento? FreeCADGui. .ActiveDocument Devolverá el documento vista asociada al documento actual FreeCADGui. funcionalidad FreeCAD está dividido en diferentes módulos. cada módulo está encargado de la elaboración de un determinado banco de trabajo . Por ejemplo: FreeCAD.

nuevas secciones aparecerán en la ventana de preferencias.La configuración de las preferencias generales Al iniciar FreeCAD sin mesa de trabajo abierta. . usted tendrá acceso a dos secciones de configuración. lo que le permite configurar los detalles de cada mesa de trabajo. responsables de la configuración de aplicación general y para la configuración de la pantalla. Sin ningún módulo cargado. A medida que la carga de módulos adicionales. se le tendrá entonces una ventana de preferencias mínimo.

métodos abreviados de teclado se puede establecer.La configuración de la pantalla FreeCAD está siempre en constante evolución. barras de herramientas y otras herramientas se pueden modificar. La ventana de personalización se accede desde Herramientas . lo que no debería enfrentarse a cualquier dificultad de configurar FreeCAD a sus necesidades. por lo que el contenido de las pantallas pueden diferir de las capturas de pantalla de arriba. que tiene un estado-de-la organización de arte.Personalizar el menú>: . mover. menús. modificar y macros se pueden grabar y reproducir. Los ajustes son por lo general explica por sí mismo. Personalización de la interfaz Desde la interfaz FreeCAD se basa en la moderna Qt toolkit. Widgets. compartida entre los bancos de trabajo.

y me gustaría acelerar su uso mediante el teclado. modificar o asignar nuevo acceso directo a cualquier comando.modificado con el editor de propiedades . Propiedades juegan un papel muy importante en FreeCAD. y si lo desea. que son objetos definidos sólo por sus propiedades. En el teclado. Propiedades de los objetos Una propiedad es un pedazo de información como un número o una cadena de texto que se adjunta a un documento FreeCAD o un objeto en un documento. Aquí es donde puede venir si se utiliza una mesa de trabajo particular. Las propiedades se pueden ver y . La ficha Macros le permite administrar su guarda macros . ya que es desde el principio los hizo trabajar con objetos paramétricos. o crear sus propias barras de herramientas personalizadas.si lo permite . puedes ver las combinaciones de teclas asociadas a cada comando FreeCAD. organizados por su categoría.La ficha de comandos le permite ver todos los comandos disponibles FreeCAD. Personalizada guión objetos en FreeCAD pueden tener propiedades de los siguientes tipos: • Boolean . La caja de herramientas y barras de las barras de herramientas etiquetas permiten modificar las barras de herramientas existentes. a menudo.

otra para el que trabaja con piezas de metal. Las herramientas se agrupan en bancos de trabajo de acuerdo a las tareas que están relacionadas con. al igual que muchas aplicaciones de diseño moderno. se basa en el concepto de banco de trabajo . el mismo concepto se aplica. usted tendría una mesa de trabajo para la persona que trabaja con madera. y quizás un tercero para el tipo que se monta todas las piezas juntas. . En un taller de muebles tradicionales.• • • • • • • • • • • • • • • • • • • • • • • • • • • • Flotador FloatList FloatConstraint Ángulo Distancia Entero IntegerConstraint Por ciento Enumeración IntegerList String StringList Enlace LinkList Matriz Vector VectorList Colocación PlacementLink Color Colorlist Material Ruta Archivo FileIncluded PartShape FilletContour Círculo Trabajar con bancos de trabajo FreeCAD. En FreeCAD. como Revit . Actualmente tenemos disponibles las mesas de trabajo siguientes: Construido en bancos de trabajo El Workbench de malla para trabajar con mallas trianguladas. Un banco de trabajo puede ser considerado como un conjunto de herramientas especialmente agrupados para una determinada tarea.

seguir trabajando sobre ellos con el Workbench Parte. El banco de trabajo de imagen para trabajar con imágenes de mapa de bits El banco de trabajo trazado de rayos para trabajar con trazado de rayos (rendering). Usted encontrará en la lista de bancos de trabajo de varios bancos de trabajo para las pruebas de las diferentes áreas y funcionalidades desde FreeCAD se encuentra todavía en una fase temprana de desarrollo. Barras de herramientas.• • • • • • El Workbench parte para trabajar con piezas de CAD. compuesto de triángulos conectados por los bordes y las esquinas (vértices también se llama). Las mallas son un tipo especial de objetos 3D. Un ejemplo de un objeto de malla . El Proyecto de Workbench para hacer de base CAD 2D de redacción. a continuación. por ejemplo. las herramientas disponibles en el cambio de interfaz. empezar a dibujar formas en 2D con el Workbench de Proyecto. El acoplamiento de banco de trabajo El banco de trabajo se encarga de malla mallas de triángulos . Podría. Varios bancos de trabajo de pruebas. con bancos de trabajo Bancos de trabajo nuevos en el desarrollo Cuando se cambia de banco de trabajo a otro. barras de comandos y eventualmente otras partes del interruptor de interfaz a la mesa de trabajo nuevos. pero el contenido de la escena no cambia. El banco de trabajo de dibujo para mostrar su trabajo en 3D en una hoja 2D.

Esto significa que todas las operaciones sólida basada. animación y creación de imágenes. we would obviously prefer to work with more intelligent types of 3D objects. estirar. You will need to handle that data. y los errores de regresar a menudo. dividir. The mesh module was first created to serve as a testbed. a diferencia de acoplamiento del módulo objetos. sin embargo. y no tienen información de masas. that can carry more informations. las mallas son a menudo el tipo de objeto 3D de elección de las aplicaciones que tratan con las películas. Ejemplo de formas parte en FreeCAD La pieza del banco de trabajo las capacidades CAD de FreeCAD se basan en Las herramientas . manipulate and convert meshes is also highly important for FreeCAD. la OpenCascade núcleo. Puesto que las mallas son objetos muy simple. En el campo de la ingeniería. licuadora . y por lo tanto permiten mucho más las funciones avanzadas. you will receive 3D data in mesh format. OpenCascade es un núcleo de CAD de nivel profesional. El módulo permite a la parte FreeCAD para acceder y utilizar los objetos OpenCascade y funciones. y fácilmente se puede pasar de una aplicación a otra sin ningún tipo de pérdida. Very often. Los objetos de la parte. sólo compuesto de puntos. Ellos sólo se hacen de las superficies. la historia de modificaciones y el comportamiento paramétrico. líneas y caras. que cuenta con avanzadas 3D manipulación de la geometría y los objetos. con sketchup . handled by the Part Module . or even custom parameters. En una malla no hay forma automática saber si un punto está dentro o fuera del objeto. como sumas o restas. las mallas presentan una gran limitación: Son objetos muy tonto. in your workflow. aplicaciones 3D por lo general pueden manejar grandes cantidades de ellos sin ningún problema. solid behaviour.Muchas de las aplicaciones 3D utilizar mallas como su principal tipo de objetos en 3D. son mucho más complejas. analyse it to detect errors or other problems that prevent converting them to more intelligent objects. modificar. aristas y caras (triangulares). que contiene sólo los vértices (puntos). since it is an engineering application. como las operaciones de booleanos coheent. and finally. Por estas razones. son siempre un poco difícil de realizar en las mallas. son muy fáciles de crear. Maya o 3D Studio Max . but be able to read. ya que contienen datos muy sencilla. Además. por lo que no se comportan como sólidos. In FreeCAD. such as mass. convert them to more intelligent objects.

Caja : Dibuja un cuadro especificando sus dimensiones Cono : Dibuja un cono mediante la especificación de sus dimensiones Cilindro : Dibuja un cilindro mediante la especificación de sus dimensiones Esfera : Dibuja una esfera mediante la especificación de sus dimensiones Toro : Dibuja un toro (anillo).El módulo de herramientas de la parte están ubicados en el menú de la parte que aparece cuando se carga el módulo de la Parte. Booleanos : boolean Realiza operaciones en los objetos Fusible : Fusibles (sindicatos) dos objetos Común : extraer los comunes (intersección) parte de dos objetos Cortar : corta (resta) un objeto de otro Extrusión : Eleva caras planas de un objeto Solomillo : Filete (balas) bordes de un objeto Girar : Crea un objeto por otro objeto giratorio alrededor de un eje Sección : Crea una sección por la intersección de un objeto con un plano de sección Operaciones booleanas . Primitivos Estas son herramientas para la creación de objetos primitivos. especificando sus dimensiones Modificación de objetos Estas son las herramientas para modificar los objetos existentes. Que le permitirá elegir el objeto a modificar.

intersección (común) y la diferencia (Corte) Explicar los conceptos En OpenCascade terminología. no a los usuarios finales.) una cara se puede construir. de las superficies (plano. Allí también se puede leer más acerca de las diferencias entre los objetos y formas geométricas. círculos. Podríamos decir.Un ejemplo de la unión (Fusible).. El geométricas primitivas no están hechas para ser exhibida directamente en la escena 3D. Para obtener una lista completa de todos ellos se refieren a la documentación de la OCC y la búsqueda de Geom_Geometry y TopoDS_Shape.. . la documentación OCC no está disponible en línea (se debe descargar un archivo) y es en su mayoría dirigidas a los programadores. una línea. etc.) que directamente se puede construir una ventaja. un sólido o un compuesto de otras formas. es decir. sino que se utilizará como la construcción de la geometría de las formas. Fuera de las curvas (líneas. Una forma puede ser un vértice. y las formas son la geometría real espaciales construidas sobre ella. una ventaja puede construirse a partir de una línea o de una parte de un círculo. se define por un vector de base y un vector de . podemos distinguir entre primitivas geométricas y formas (topológicas). un rostro. Por ejemplo. que la geometría primitiva son "sin forma" bloques de construcción. un avión. Pero esperamos que pueda encontrar la información suficiente para empezar aquí. un círculo. Un geométricas primitivas puede ser un punto. Tenga en cuenta que.. cilindro. la línea geométrica primitiva es ilimitado.. lamentablemente. un alambre. un borde. Por ejemplo. para continuar. o incluso algunos tipos más complejos como una curva B-spline o superficie. . Los tipos geométricos en realidad se puede dividir en dos grandes grupos: las curvas y superficies.

StartPoint = (0. Ejemplos Para crear un elemento interruptor de la línea a la consola de Python y escriba: Parte de importación.0.0) Línea es en realidad un segmento de línea.0.Line () l.toShape = (). y toda la gama de TopoShapes. Secuencias de comandos La estructura de datos principal utilizada en el módulo de la parte es el BREP tipo de datos de OpenCascade. y para algunos de ellos.0. PartGui doc = App. tales como Line y Circle (o arco). para saber más. "Línea") Forma l.0) l. . operaciones avanzadas.0.EndPoint = (1. cables.1.0. extraer todos los subforma de una forma más compleja se hace.addObject ("Parte:: Reportaje". "Línea") Forma l.newDocument () Carga el módulo de la parte y crea un nuevo documento l = Part.toShape = ().0) doc. Sobre todo el contenido y los tipos de objetos del módulo de la parte ya están disponibles para python scripts.pueden ser creados por seis aviones limitada.0) l.1.1.0.dirección.Line () l. Para cada uno de esos objetos. de formas que pueden construir piezas muy complejas o. mientras que su representación de forma debe ser algo limitado por un punto inicial y final.0.recompute () Vamos a pasar por el pitón ejemplo anterior paso a paso: Parte de importación. sólidos y compuestos.0. Así. bordes. el inicio y punto final. doc. por lo tanto.0.0. Caras. los métodos de varias creaciones existen. como vértices.addObject ("Parte:: Reportaje".0. al revés.1. doc.0. Desde el borde o en la cara también puede volver a su primitiva geométrica parte contraria. como se describe en el FreeCAD secuencias de comandos básicos página.StartPoint = (0.newDocument () l = Part. como el sindicato booleanos / diferencia / intersección están también disponibles. Explore el contenido del módulo de la Parte. Y una caja . especialmente los TopoShapes.EndPoint = (1.una sólida . PartGui doc = App. Esto incluye primitivas geométricas.

entonces tomamos la lista de los bordes. primitivas de la geometría se utilizan como "estructuras de los edificios" de formas. que es la geometría primitiva se basa en. doc. En FreeCAD. en este caso sólo habrá uno. Es decir.Line (punto 1.activeDocument () c = Part.0 f = doc.Circle () c. por ejemplo una hoja con un borde. El banco de trabajo de dibujo El módulo de dibujo le permite poner su trabajo en 3D en el papel. para poner puntos de vista de sus modelos en una ventana 2D y para insertar esa ventana en un dibujo. Por supuesto.Edges [0] c = e. haciendo: s = f. Esto también preparar la representación visual del objeto pieza nueva.toShape = () doc.recompute () Actualiza el documento. por ej.Curve Aquí tomamos la forma de nuestro objeto f.addObject ("Parte:: Reportaje". punto2) o podemos crear una línea predeterminada y establecer sus propiedades después. Tenga en cuenta que una línea se pueden crear especificando su inicio y punto final directamente en el constructor. imprimir esa hoja. se utilizó el círculo (geometría primitiva) para construir una forma de ella.Radius = 10. y toma su curva. como lo hicimos aquí.Esto agrega un tipo de objeto a la parte del documento y le asigna la representación de la forma del segmento de línea a la 'forma' de propiedad del objeto agregado. un título y su logotipo y. configurar y exportación de hojas de dibujo 2D . Sólo formas se pueden agregar al documento.line) para crear un TopoShape fuera de él (el toShape () método). Cada Edge tiene una curva. porque hemos hecho toda la forma de un solo círculo. "Círculo") f.recompute () Observe de nuevo. El módulo de dibujo se encuentra en construcción y más o menos una muestra de tecnología! Herramientas GUI Estas son las herramientas para crear. podemos todavía acceder a nuestra geometría de construcción después. Part.Shape c. Un círculo puede ser creado de una manera similar: Parte de importación doc = App. por lo que tomar sólo el primer elemento de la lista de los bordes. finalmente.Shape e = s. Es importante entender aquí que se utilizó una primitiva geométrica (el Part.

Cada vez que la página o ver el o los cambios de objeto de referencia de la página se regenera y la visualización de la página actualizada. en este caso el "A3_Landscape" plantilla. Una página se crea una instancia a través de una plantilla. muy limitadas. un factor de escala (escala de la Propiedad) y propiedades adicionales. Y).Nueva hoja de dibujo : Crea una nueva hoja de dibujo desde un archivo SVG existentes A3 dibujo de paisaje Nueva : Crea una nueva hoja de dibujo de la plantilla por defecto A3 FreeCAD Inserte un punto de vista : Inserta una vista del objeto seleccionado en la hoja de dibujo activo hoja Guardar : Guarda la hoja actual como un archivo SVG En la foto se ven los principales conceptos del módulo de dibujo. En esta página se puede insertar uno o varios puntos de vista. El documento contiene un objeto de forma (Schenkel) que desea extraer de un dibujo. A continuación ejemplos de cómo utilizar la API de secuencias de comandos del módulo de dibujo. La plantilla es un documento SVG que puede mantener su marco de página de costumbre. su logotipo o el cumplimiento de las normas de su presentación. por lo que la API de secuencias de comandos es más interesante. Cada vista tiene una posición en la página (Propiedades X. Por lo tanto una "página" se crea. Secuencias de comandos En el momento en que el usuario (GUI) de flujo de trabajo son .

visibleG0.100))) proyección directa. "Box") App. Shape.ActiveDocument.XLength.BoundBox.show (Part.Length = 100.Vector (1.makeBox (20.Width = 100. "Cuadro n º 1") . visibleG1. len (hiddenG0.project (Forma) print "bordes visibles:". visibleG1.ZLength print "Bnd Caja proyecto: X =".BoundBox.Box.1. Shape. Forma = App. "Y =".Edges) Todo lo que se proyectó en el plano Z: print "Bnd Caja forma: X =".YLength. hiddenG1] = Drawing. Shape.1.Shape.makeBox (100100100). visibleG0.BoundBox.makeCylinder (80100)). Dibujo Cree una parte pequeña muestra Part.ZLength vectores de proyección diferentes [VisibleG0. "Z =".00 App.addObject ("Parte:: Box".100)).00 App.40.BoundBox. len (visibleG0. visibleG0.1)) Proyecto a SVG resultSVG = Drawing.ActiveDocument.ActiveDocument.ActiveDocument.BoundBox.Shape [VisibleG0.ActiveDocument.Box. el G1 es tangente continua. hiddenG1] = Drawing. La G0 significa borde duro.XLength. App.makeBox (90. "Y =". Base.Vector (1. Corte (Part. Corte (Part. hiddenG0.BoundBox.85.Height = 100.Ejemplo simple En primer lugar usted necesita la pieza y el módulo de dibujo: importación FreeCAD parte.ActiveDocument.project (forma.addObject ("Parte:: Box".projectToSVG (forma.YLength. "Z =".Edges) print "aristas ocultas". Corte (Part.00 App.Box.1)) resultSVG de impresión La forma paramétrica Crear el cuerpo # Crear tres cajas y un cilindro App. hiddenG0.

Box1. App.activeDocument = ().ActiveDocument. App.X = 10. Vista) Crear un segundo punto de vista sobre el mismo objeto.activeDocument () ') App.Visibility = False Gui.activeDocument ().Visibility = False Gui.00 App.ActiveDocument.activeDocument ().0. App.activeDocument ().Visibility = False Gui.ActiveDocument. "Fusión") App.Box1.Tool App.activeDocument () addObject.activeDocument ().Visibility = False Insertar un objeto de página y asignar una plantilla App.activeDocument () addObject. "Forma").activeDocument ().addObject ("Parte:: El cilindro".Base App. Fusión # Cortar las formas fundido de la primera casilla App.activeDocument (). Forma View.Height = 100. pero esta vez la vista se gira 90 grados.0.Tool App. BOX2 App. Cuadro n º 1 App.activeDocument = ().Cylinder. "Cilindro") App.0 View. Fusion1 # Ocultar todas las formas intermedias Gui. ViewRot.00 App. Fusion.ActiveDocument.Base App.00 App.' ViewRot ') App.Visibility = False Gui. addObject.activeDocument = ().Y = 10. ("Parte:: Fusible".activeDocument (). Cilindro App. Shape.activeDocument ().activeDocument = ().activeDocument ().00 App.Cylinder.activeDocument = ().activeDocument = ().Tool App. "Fusion1") App.activeDocument () addObject.Height = 100.Source App.ActiveDocument.ActiveDocument.activeDocument (). App.activeDocument ().activeDocument ().Template App.Box2.Visibility = False Gui.Box2.activeDocument ().0) View. Shape. Fusion1.00 App.00 App.activeDocument ().activeDocument (). Fusion. App.activeDocument () addObject ("Parte:: Corte".activeDocument ().ActiveDocument. definir la posición y la escala y la asigna a una página de App.activeDocument ().00 # Dos cajas de fusibles y el cilindro App.Height = 100.activeDocument ().0.Width = 85.Length = 20.Box1. ("Dibujo:: FeaturePage '.Cylinder.Direction = (0.Box2.Length = 90.00 App.1.addObject (App. Box.00 App.addObject ("Parte:: Box".' Ver View. App.Width = 40.activeDocument () addObject.ActiveDocument.App.' Página ') App.Base App. Fusion1. Page.svg' Crear una vista sobre la "forma" del objeto.Source App.activeDocument (). ("Dibujo:: FeatureViewPart '.Box1. Forma .Angle = 360. ("Parte:: Fusible".activeDocument (). ("Dibujo:: FeatureViewPart '.ActiveDocument. Cylinder.Radius = 80. Fusion1.0 Page.activeDocument = (). Caja App. Box2. "BOX2") App.activeDocument = ().getResourceDir = () + 'Mod/Drawing/Templates/A3_Landscape.ActiveDocument.ActiveDocument. Fusion.

activeDocument (). Los cambios en el proceso de actualización de la vista y la página.X = 30.X = 335. ("Dibujo:: FeatureViewPart '. Las líneas ocultas se activan también.activeDocument ().'ViewSelf') App.activeDocument App.0 ViewRot.activeDocument (). App. 0.0) ViewRot.Y = 30.addObject('Drawing::FeatureView'.0. ().0 App.activeDocument ().0.activeDocument = ().Page.0 ViewRot.0.activeDocument().0 Page. ViewRot.activeDocument (). App.activeDocument ().addObject (App." lines long" Importante: liberar el archivo! del archivo Insertar una vista con su propio contenido: App.App. ().0 App. App.activeDocument().0 ViewIso.activeDocument ().Page. App.activeDocument App. ().activeDocument () ViewIso ') App.addObject(App. ().Direction = (0. Crear un tercer punto de vista sobre el mismo objeto pero con una dirección de la vista isométrica.activeDocument().ViewResult print ViewSVG Accede a la página de resultados de todo (es un archivo en el directorio temporal del documento.PageResult file = open(App.0) ViewIso.Rotation = 90.1.PageResult.addObject (App.0 ViewRot. View.Source App. sólo el permiso de lectura) print "Resulting SVG document: "."r") print "Result page is ".ViewSelf) .activeDocument App.1. Cambiar algo y actualización. App.ShowHiddenLines = True Page.activeDocument().ViewResult = """<g id="ViewSelf" stroke="rgb(0.len(file.30)" fill="#00cc00" > <ellipse cx="40" cy="40" rx="30" ry="15"/> </g> "" " App.Direction = (1.activeDocument().' ViewIso. View.activeDocument().5 App.Scale = 1.activeDocument (). App.activeDocument ().0 ViewIso.activeDocument ViewRot) ().0. ViewIso) addObject.activeDocument ().activeDocument App.0. View.Page.readlines()). Forma ViewIso. 0)" stroke-width="0.Y = 30.Y = 140.App.activeDocument().activeDocument App.activeDocument ().ViewSelf.X = 290. App.activeDocument ().View.Scale = 1.35" stroke-linecap="butt" stroke-linejoin="miter" transform="translate(30. Volver a calcular () Obtener el fragmento de SVG de una sola vista ViewSVG = App.1. ().

En primer lugar. resultSVG That leads to the following result Esto nos lleva al siguiente resultado: GUI Tools Estas son herramientas para la exportación de su trabajo en 3D para renderizadores externos Crear un proyecto de Povray : Crea un POV-Ray nuevo proyecto Insertar información ver : Inserta el ver los datos (posición de la cámara." en el menú de trazado de rayos.recompute() del Shape.App.. debe cargar o crear sus datos de CAD en 3D y la posición de la orientación de la vista que desee. etc) a la POVRay proyecto actual Insertar información parte : Inserta el objeto seleccionado al POV-Ray proyecto actual Exportar una vista La forma más fácil es exportar la vista 3D actual y todo su contenido a una Povray archivo.ViewSVG. seleccione "Exportar Vista ..activeDocument(). . A continuación.

pov file. After that you can open it in Povray and render: Después de que se puede abrir en Povray y hacer: Como es habitual en un rendererer puede tomar imágenes grandes y bonitas: . Pobreza.You get ask for a location to save the resulting *. Usted consigue pedir una ubicación para guardar el archivo resultante *.

800000)) OutFile. También hay una herramienta que le permite capturar una imagen de una webcam.0. El proyecto de banco de trabajo El proyecto de módulo es un módulo de trabajo en curso y experimental muy de añadir 2d básicas de dibujo funcionalidad para FreeCAD. RaytracingGui OUTFILE = open ("C: / Documents and Settings / jriegel / Escritorio / test. 0. Png y.800000.pov '. Box. App. Jpg.Secuencias de comandos Aquí es cómo utilizar estas características de Python: Raytracing importación. Bmp.Shape. Formatos de archivo xpm en una ventana del visor por separado.0.povViewCamera ()) OutFile.pov').. Está escrito completamente en Python.getResourceDir () + 'Mod / Raytracing / Plantillas / ProjectStd.write (abierto (App. Read ()) OutFile..close () del OUTFILE Enlaces La imagen de banco de trabajo El módulo de imagen maneja diferentes tipos de imágenes de mapa de bits .800000. y es . Actualmente. y le permite abrir en FreeCAD.' w ') OutFile.getPartAsPovray ('Box'.activeDocument ().write (Raytracing. los módulos permite abrir.write (RaytracingGui.

la barra de comandos (y. Ahora. También puede configurar FreeCAD (menú Editar -> Preferencias) para iniciar siempre en modo ortográficas.. Como anotación al margen. En esa barra de comandos. but that is used by the different functions to display their controls. Para ello. you can also change general things like current line color and width. en mi humilde opinión. El banco de trabajo el proyecto está disponible en la lista de bancos de trabajo. pulse la tecla O (o ver el menú . está listo para dibujar. Al activarlo. IMHO. una barra de herramientas clásicos que contiene el proyecto de norma comandos que aparecen a continuación y una barra de comandos especiales que no tiene icono de la herramienta en él. también puede cambiar las cosas en general como el color de la línea actual y la anchura. pero que es utilizado por las diferentes funciones para mostrar sus controles. la interfaz de QT conjunto) se ve mucho mejor si se elige la "cleanlooks" estilo en las preferencias de FreeCAD general . dos barras de herramientas aparecerá. a classical toolbar containing the standard draft commands listed below and a special command bar that has no tool icon on it. lo mejor que puede hacer es ponerse a la vista 2D ortográfica antes de empezar a dibujar. As a sidenote. Tutorial Tutorial Para una explicación en profundidad. o leer la sección de inicio rápido. Siéntase libre para probar. the command bar (and. When you activate it. sin siquiera tocar el código fuente. abra o cree un nuevo documento. . más abajo para obtener rápidamente una vía férrea. y nos dan un voto en la página de discusión . pero ya contiene un par de funciones básicas de trabajo.vista ortográfica>) para cambiar al modo ortográfico.. On that command bar. lea el proyecto de tutorial (en preparación). Por lo tanto. two toolbars will appear. Inicio rápido No todos los comandos Proyecto de trabajar bien en 3D en el momento. pulse la tecla 2 (o ver el menú -> vistas estándar -> arriba) para que usted tenga en la vista superior. A continuación. Actualmente no es muy útil para el trabajo de producción. a continuación.también la intención de mostrar hasta qué punto se puede extender FreeCAD enteramente en python. the whole QT interface) looks much better if you choose the "cleanlooks" style in FreeCAD general preferences.

y. textos o formas planas. Currently supported file formats are: Actualmente los formatos de archivo son: Autodesk DXF : Importaciones y exportaciones de DXF archivos creados con otras aplicaciones de CAD SVG (como la geometría) : Las importaciones y exportaciones de archivos SVG creados con aplicaciones de dibujo vectorial open CAD file format Abrir formato Cad OCA. se enfrenta a 3D. La tecla ESC siempre cancelar el comando activo. presionando la tecla CTRL le permitirá ajustar a los puntos existentes. entonces todos los objetos se exportarán. mientras que las herramientas de modificación le pedirá que seleccione un objeto para trabajar en primer lugar. Apertura se abrirá un nuevo documento con el contenido del archivo. la tecla ALT está obligado por defecto para mover ventanas en el escritorio. Puede que tenga que cambiar esa tecla de acceso en las preferencias de escritorio. verically o en relación con un segmento existente. MAYÚS limitará su movimiento horizontal. círculos. Nota En algunos sistemas de escritorio (por ejemplo. GNOME. en caso de que no hay ningún objeto seleccionado. que ganó ' objetos t importación aforado como mallas. los importadores se centran sólo en objetos 2D. una posible nueva CAD formato de archivo abierto Herramientas de dibujo Estas herramientas le permiten configurar su entorno de trabajo o producir operaciones genéricas. : Importaciones y exportaciones de OCA / archivos GCAD. Tenga en cuenta que dado que el objetivo del módulo de Proyecto es trabajar con objetos 2D. de importación o exportación de otros formatos de archivo. sólo asegúrese de que la coordenada Z se abre en la elaboración. . KDE). y en algunas herramientas ALT le dará opciones adicionales como la creación de un nuevo objeto en lugar de la transformación de una ya existente. Importación y exportación Estas son las funciones de apertura. mientras que la importación se anexar el contenido del archivo para el documento actual. y el lugar mismo en la vista apropiada. Si no se selecciona nada. En casi todos los comandos.Todos los comandos proyecto de seguir más o menos las mismas reglas: Las herramientas de dibujo le pedirá que recoger los puntos de la pantalla o introducir coordenadas numéricas. Algunos comandos de trabajo en los planos no horizontales también. etc. A continuación encontrará una descripción más completa de todas las herramientas disponibles. Exportadores guardar los objetos seleccionados a un archivo. aunque en formato DXF y OCA hacer objetos apoyar las definiciones en el espacio 3D (objetos no son necesariamente plana). sino más bien líneas.

Mover : Mueve el objeto (s) de un lugar a otro Girar : Gira objeto (s) de un ángulo inicial a un ángulo final Offset : los segmentos de un objeto se mueve sobre una distancia determinada Actualización : se une a los objetos en un alto nivel de objeto . pero si no hay ningún objeto seleccionado. De 2 puntos la línea : Dibuja un segmento de línea de 2 puntos Hilos (punto de varias líneas) : Dibuja una línea hecha de segmentos de varias líneas Círculo : dibuja un círculo desde el centro y el radio Arco : Dibuja un segmento de arco desde el centro. ángulo inicial y final del ángulo Rectángulo : dibuja un rectángulo de 2 puntos opuestos Texto : Dibuja una línea de texto de la anotación-multi Dimensión : Dibuja una anotación dimensión Modificación de objetos Estas son las herramientas para modificar los objetos existentes. Trabajan en los objetos seleccionados. se le invitará a seleccionar una. radio.Working plane : Sets your working plane for the next operations plano de trabajo : Establece el plano de trabajo para las operaciones de al lado Put on Sheet : Writes selected objects to a svg drawing sheet Coloque en la hoja : Escribe los objetos seleccionados a una hoja de dibujo SVG Objetos de dibujo Estas son herramientas para la creación de objetos.

Puesto que las macros son en realidad una lista de comandos de Python. ¿Cómo funciona? . también se puede editar y crear secuencias de comandos muy complejos. Al presionar ALT mientras utiliza la herramienta hará una copia Modo de construcción : Le permite poner la geometría del resto. salvo que con un nombre y reproducirlas siempre que lo desee. a continuación.Baja de Calificación : Se descompone en objetos de nivel inferior objetos Recortar / Extender (Trimex) : Recorta o se extiende un objeto Aplicar el estilo : Aplica el color actual y el ancho de línea a los objetos Escala : escala objeto seleccionado (s) en torno a un punto base Editar : edita un objeto seleccionado Los comportamientos más habituales Ajuste : permite colocar nuevos puntos en lugares especiales en los objetos existentes Restringir : Permite colocar nuevos puntos de forma horizontal o vertical en relación a los puntos anteriores Trabajo con manual de las coordenadas : permite introducir coordenadas manual en lugar de hacer clic en la pantalla Copia: Todas las herramientas de modificación puede modificar los objetos seleccionados o crear una copia modificada de ellos. para el interruptor de fácil encendido / apagado Todos los objetos creados recientemente adoptar actual Proyecto de color y el ancho El módulo de Proyecto también tiene sus preferencias de pantalla API macros Macros Las macros son una manera conveniente de crear acciones complejas en FreeCAD. Sólo tiene que registrar las acciones a medida que los hacen.

y. como pulsar un botón. detener la grabación. entonces. haga clic en el botón de detener la grabación. se le pedirá dar un nombre a la macro. Cuando haya terminado. Es muy sencillo de utilizar: Presione el botón de grabación. Ahora puede acceder al diálogo de macro con el botón de edición: No puede administrar sus macros. En el diálogo de editar las macros. editar y reproducir la macro actual. basta con . Si edita una macro. A continuación. puede ver el código Python que se ha registrado. cada acción que hacemos. En ella tiene 4 botones: Grabar. realizar algunas acciones. eliminar.Si habilita la salida de consola (Menú Edición -> Preferencias -> General -> Macros -> scripts Mostrar los comandos de consola en python). los resultados de un comando python. digamos "10x10 cilindro". pulse el botón "grabar stop". Thos comandos son los que se pueden grabar en una macro. en el Workbench parte . que se abrirá en una ventana del editor. realizar modificaciones a la misma. a continuación. crear un cilindro con radio y la altura = 10 = 10. verá que en FreeCAD. Para ejecutar la macro. donde puedes hacer cambios en su código. si lo desea. La principal herramienta para la toma de las macros es la barra de herramientas de macros: . Ejemplo Pulse el botón de grabación. y sus acciones se guardarán. editar o crear otros nuevos desde cero. darle un nombre.

Basta con crear una nueva macro. Una vez que la macro se crea. mientras que la macro está en el editor.. tales como la asignación de un atajo de teclado para o poner una entrada en el menú. y pegar el código. al igual que cualquier herramienta estándar FreeCAD. La próxima vez que usted comienza FreeCAD.pulsar el boton de ejecutar en la barra de herramientas. Python es un código abierto. Usted macro siempre se guarda en el disco. editar. puede guardar la macro de la misma manera que se guarda un documento FreeCAD. Esto. sumado a la potencia de scripts python en FreeCAD. Macros repositorio Introducción a Python Este es un breve tutorial hecho por lo que es totalmente nuevo para Python. todo esto se puede hacer a través del menú Herramientas -> Personalizar: De esta manera usted puede hacer la macro convertido en una herramienta real. permite añadir fácilmente sus propias herramientas para la interfaz. FreeCAD ofrece maneras mucho mejores para utilizar la macro. por lo que cualquier cambio que realice. sin dejar constancia de acción interfaz gráfica de usuario. siempre habrá tiempo disponible próxima vez que inicie FreeCAD.. Siga leyendo para la secuencia de comandos página si quieres saber más acerca de secuencias de comandos de Python . Creación de macros sin grabar También puede directamente copiar / pegar en el código python una macro. Python tiene varias características que lo hacen muy diferente de otros lenguajes de programación . la macro aparecerá en el marco del "macros instaladas" elemento del menú Macro. o cualquier macro que cree. multiplataforma lenguaje de programación . Personalizar Por supuesto que no es práctico para cargar una macro en el editor con el fin de usarlo. A continuación.

por ejemplo. y usted recibirá un mensaje de error diciendo que lo que salió mal. etc Tenga en cuenta que lo que vendrá después es una introducción muy simple. y muy accesible para los usuarios nuevos como a ti mismo: Ha sido especialmente diseñado para ser fácil de leer por los seres humanos. línea por línea si desea hacerlo. paso a paso. . ya que ir despacio. Pero mi esperanza es que después de que usted va a obtener fundamentos suficientes para explorar más profundamente en los mecanismos FreeCAD. es decir. que puede fácilmente conectar nuevos módulos en la instalación de Python y extender su funcionalidad. FreeCAD tiene un intérprete de Python incrustado. corregir los errores. porque en lugar de sólo hacer clic en un botón llamado "crear esfera". Se interpreta. Esto hace que sea muy fácil de aprender y de encontrar errores en el código. basta con abrir un editor de texto o su entorno de programación especial que es en la mayoría de casos un editor de texto con varias herramientas a su alrededor. por lo que puede escribir código en Python FreeCAD. La mayoría de las veces que cometió errores al escribir. a diferencia de lenguajes compilados como C. y así sucesivamente hasta que el programa funciona bien. que ha colocado a un programador a su disposición. El código que se escribe puede ejecutarse inmediatamente. ejecute de nuevo. tiene módulos que permiten python para leer y escribir imágenes en jpg. que manipular las piezas de FreeCAD. de ningún modo un completo tutorial. vuelva a su editor de texto. por lo que es muy fácil de aprender y comprender. usted tiene la libertad para crear fácilmente su propia herramienta para crear exactamente la geometría que desee. para programar las tareas a realizar por el sistema operativo. Puede ser integrado en otros programas para ser utilizado como lenguaje de scripting. a continuación. para crear la geometría. El intérprete Por lo general. Es extensible. A continuación. para comunicarse con Twitter. Esto es muy poderosa. escriba su programa. Por ejemplo. compilarlo y ejecutarlo. al escribir programas de ordenador.comunes. su programa no tiene que ser compilado antes de su ejecución. por lo que el programa no funcionará.

FreeCAD ha incorporado un intérprete de Python. los usuarios que conocen un poco de programación Python. sobre todo porque se puede ejecutar dentro de un intérprete. Sin embargo. sin embargo. esperamos. un texto de ayuda asociado (si existe) se muestra: . La siguiente imagen muestra al intérprete de Python: Desde el intérprete. Si no está familiarizado con Python. El intérprete Desde el intérprete. el contenido de la escena. FreeCAD has a built-in python interpreter. a ti mismo. Casi todas las partes del FreeCAD como la interfaz. donde se puede navegar entre las subclases y métodos disponibles. FreeCAD proporciona un navegador de clases muy útil para la exploración de su nuevo mundo FreeCAD: Cuando se escribe el nombre de una clase conocida seguido por un punto (lo que significa que desea agregar algo de esa clase). una ventana de navegador de clases se abre. y todos los módulos adicionales de FreeCAD instaló más tarde. Como resultado. o. FreeCAD es probablemente una de las aplicaciones de ingeniería más profundamente personalizables disponibles en la actualidad. donde a partir de simples comandos para completar los programas se pueden ejecutar sobre la marcha. al igual que. y tienen un rápido vistazo a su estructura. puede ejecutar código python y navegar a través de las clases disponibles y su función. la facilidad de python scripting dentro FreeCAD probablemente ayudará mucho para ver rápidamente la nueva funcionalidad está siendo desarrollado por "usuarios avanzados". FreeCAD tiene muy pocos "nativo" comandos para interactuar sobre los objetos 3D. por lo general. sin necesidad de compilar nada. puede acceder a todos los módulos de Python instalado el sistema.FreeCAD está construido desde cero para ser totalmente controlado por scripts python. sino también porque la filosofía que hay detrás es más para proporcionar una plataforma para el desarrollo de un CAD aplicación de usuario a la medida. Cuando se selecciona algo. le recomendamos buscar tutoriales en Internet. sobre todo porque se encuentra todavía en fase inicial de desarrollo. así como la construcción de los módulos FreeCAD. Python es un lenguaje muy fácil de aprender. e incluso la representación de estos contenidos en los puntos de vista en 3D son accesibles desde la incorporada en el intérprete de Python o de sus propios scripts. En su estado actual.

y la funcionalidad de Gui. que se abrirá una ventana que contiene una documentación completa. Por ejemplo. Construido en módulos Desde FreeCAD está diseñado para funcionar sin interfaz gráfica de usuario. Para navegar en la historia de comandos. Dir de impresión (la aplicación) le mostrará todo el interior del módulo de la aplicación. Su ventana FreeCAD deben permanecer abiertas para este sistema de documentación para trabajar. llamado Gui. por los nombres respectivos de FreeCAD y FreeCADGui. La documentación disponible no depende de la cantidad de esfuerzo que cada desarrollador de módulos poner en la documentación de su código. a continuación. imprimir escribiendo dir () mostrará una lista de todos los módulos cargados en FreeCAD.Por lo tanto. Python Ayuda En el menú Ayuda FreeCAD. usted encontrará una entrada llamada "ayuda Python". casi todas sus funciones se separa en dos grupos: la funcionalidad de la base. Otra forma de serpiente pitón más genérico de explorar el contenido de los módulos y las clases es usar el directorio de impresión () comando. en tiempo real generado de todos los módulos de Python a disposición del intérprete FreeCAD. hacer un guión completo de la misma). de nombre de la aplicación. O Gui. pero por lo general módulo python tienen la reputación de estar bastante bien documentado. empezar por aquí escribiendo de la aplicación. y los módulos FreeCAD adicionales. Estos dos módulos también se puede acceder desde fuera de las secuencias de comandos del intérprete. sólo tiene que utilizar CTRL + o Ctrl +. Y ver qué pasa. . también tiene otras opciones. Así. tales como copia de toda la historia (útil para experimentar algo aquí. incluyendo python y FreeCAD integrado en los módulos . los módulos instalados por el sistema. nuestros dos principales FreeCAD integrado en los módulos se llaman de la aplicación y Gui. o insertar nombre de archivo con ruta completa. etc Otra característica útil de la intérprete es la posibilidad de volver atrás en el historial de comandos y recuperar una línea de código que ya ha escrito antes. Al hacer clic derecho en la ventana del intérprete.

en realidad. la representación gráfica de todo el contenido FreeCAD. la altura.ObjectName myViewObject = Gui. más interesante.ObjectName. como la creación del documento activo o el listado de su contenido. El documento en sí. sin interfaz gráfica de usuario existe. Pero las dos herramientas de navegación siempre (el navegador de clases y la ayuda de python) le debería dar. todo lo que se separa entre el núcleo y la representación.getObject ("ObjectName") myViewObject = App. usted encontrará las herramientas para acceder y gestionar elementos de la GUI.ActiveDocument. como los algoritmos que sólo funcionan en la parte de la definición de características.: para acceder a la parte Gui del mismo objeto. y cambiar la forma en que están representados en la pantalla a través del módulo Gui. la longitud. Por ejemplo. Esta forma de hacer permite una amplia gama de usos. o incluso redirigir el contenido del documento de la aplicación no gráfica. también tiene aplicación y objetos GUI. como los métodos para abrir o cerrar archivos. en cualquier momento. se escribe: donde "ObjectName es el nombre del objeto También puede escribir. La aplicación y los objetos Gui Como hemos dicho. un cubo tiene propiedades que lo definen. para acceder a la parte de la aplicación de algo. escribe: myObject = App.En el módulo de la aplicación. tales como caras de color.getObject ("ObjectName") donde "ObjectName es el nombre del objeto También puede escribir. por lo que sólo los objetos de la aplicación son availible. que se almacenan en un objeto de la aplicación y las propiedades de la representación. usted encontrará todo lo relacionado con la aplicación en sí.ActiveDocument.ActiveDocument. como listas. que se almacenan en un objeto correspondiente Gui. Esto incluye los objetos en 3D también. Listado de todos los contenidos de los módulos es una tarea poco contraproducente. ya que crecen muy rápido a lo largo del desarrollo FreeCAD.ActiveDocument. modo de dibujo. cuando uno de sus parámetros cambiados). por supuesto.: myObject = App. Tenga en cuenta que la parte de interfaz gráfica de objetos se genera de nuevo cada vez que un objeto de la aplicación está marcada como "que se vuelven a calcular" (por ejemplo. existe un correspondiente objeto Gui. y en los documentos. una documentación completa y actualizada de estos módulos. por lo que los cambios que podría haber hecho directamente al objeto Gui podría perderse. Para cada objeto de la aplicación en el documento. Puede acceder a la definición de propiedades de los objetos (llamados funciones de FreeCAD) a través del módulo de la aplicación. Esto.ViewObject . hojas de cálculo o análisis de elementos. como los bancos de trabajo y sus barras de herramientas y. como anchura. sin necesidad de preocuparse por ninguna parte visual. en FreeCAD. En el módulo de Gui. sólo es válido cuando se ejecuta FreeCAD con su interfaz completa. En la versión de línea de comandos.

you type: myGuiDocument = Gui.ActiveDocument To create a new document. Un documento que contiene la geometría y se pueden guardar en un archivo.Si no tenemos interfaz gráfica de usuario (por ejemplo. Varios documentos se pueden abrir al mismo tiempo. tiene objetos de la aplicación y Gui myDocument = App.ActiveDocument myView = Gui. Los objetos de documento En FreeCAD todo su trabajo reside dentro de los documentos. al igual que la geometría contenido en el interior. estamos en el modo de línea de comandos). type: To access the Gui part the currently open (active) document. El documento. la última línea volverá Ninguno.ActiveView myDocument = App.newDocument("Document Name") Introducción First of all you have to import the Mesh module: import Mesh . you type: To access the current view.ActiveDocument.

Sign up to vote on this title
UsefulNot useful